Package fr.gouv.vitam.worker.core.plugin.evidence

# Class EvidenceService

java.lang.Object
fr.gouv.vitam.worker.core.plugin.evidence.EvidenceService

public class EvidenceService extends Object
Evidence Service class

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `JSON`
  `static final String`
  `OK`
  `static final String`
  `WARNING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EvidenceService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EvidenceAuditReportLine`
  `auditAndGenerateReportIfKo(EvidenceAuditParameters parameters, List<String> securedLines, String id)`
  audit and generate
  `File`
  `downloadAndExtractDataFromStorage(String fileName, String fileToExtract, String extension, boolean delele)`
  `EvidenceAuditParameters`
  `evidenceAuditsChecks(String id, MetadataType metadataType, List<StorageStrategy> storageStrategies)`
  evidenceAuditsChecks
  `File`
  `extractFileStreamFromZip(File file, String fileToExtract, String extension, boolean delete)`
  `static LifeCycleTraceabilitySecureFileObject`
  `loadInformationFromFile(List<String> securedLines, MetadataType metadataType, String id)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JSON

    public static final String JSON
    See Also:
      - Constant Field Values

  - ### OK

    public static final String OK
    See Also:
      - Constant Field Values

  - ### WARNING

    public static final String WARNING
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EvidenceService

    public EvidenceService()

- ## Method Details

  - ### auditAndGenerateReportIfKo

    public EvidenceAuditReportLine auditAndGenerateReportIfKo(EvidenceAuditParameters parameters, List<String> securedLines, String id)
    audit and generate
    Parameters:
      `parameters` - parameters
      `securedLines` - secured Lin
      `id` - identifier
    Returns:
      EvidenceAuditReportLine

  - ### downloadAndExtractDataFromStorage

    public File downloadAndExtractDataFromStorage(String fileName, String fileToExtract, String extension, boolean delele) throws EvidenceAuditException
    Parameters:
      `fileName` - the file name
      `fileToExtract` -
      `extension` -
    Returns:
      LifeCycleTraceabilitySecureFileObject
    Throws:
      `EvidenceAuditException` - the EvidenceAuditException

  - ### loadInformationFromFile

    public static LifeCycleTraceabilitySecureFileObject loadInformationFromFile(List<String> securedLines, MetadataType metadataType, String id) throws EvidenceAuditException
    Throws:
      `EvidenceAuditException`

  - ### extractFileStreamFromZip

    public File extractFileStreamFromZip(File file, String fileToExtract, String extension, boolean delete) throws EvidenceAuditException
    Throws:
      `EvidenceAuditException`

  - ### evidenceAuditsChecks

    public EvidenceAuditParameters evidenceAuditsChecks(String id, MetadataType metadataType, List<StorageStrategy> storageStrategies)
    evidenceAuditsChecks
    Parameters:
      `id` - the id
      `metadataType` - the metadataType
      `storageStrategies` - the storageStrategies